> For the complete documentation index, see [llms.txt](https://apidocs.saino.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://apidocs.saino.io/email-cleaner/single-email.md).

# Single Email

## Verify Signle Email

<mark style="color:blue;">`GET`</mark> `https://api.saino.io/api/apis/email-cleaning/verify-single`

This Endpoint you will used for verifying single email id

#### Query Parameters

| Name  | Type   | Description                        |
| ----- | ------ | ---------------------------------- |
| email | string | Email id which you want to verify. |

#### Headers

| Name  | Type   | Description                                 |
| ----- | ------ | ------------------------------------------- |
| token | string | The token provided by the saino application |

{% tabs %}
{% tab title="200 " %}

```
{
   "data":{
      "email":"any@gmail.com",
      "free_email":"true",
      "result":"Safe to Send / Unsafe to Send",
      "status":"Deliverable"
   },
   "status":"success"
}

```

{% endtab %}

{% tab title="400 " %}

```
{
    status: "failed",
    error: "" //error message
}
```

{% endtab %}
{% endtabs %}

#### Examples

{% tabs %}
{% tab title="NodeJs" %}

```
var axios = require('axios');

var config = {
  method: 'get',
  url: 'https://api.saino.io/api/apis/email-cleaning/verify-single?email=user@domain.com',
  headers: { 
    'token': '7yq7x1hlydj8hyxccfjo130m7usey6g6dyrdmc61al5411m==/twidh21609584683074'
  }
};

axios(config)
.then(function (response) {
  console.log(JSON.stringify(response.data));
})
.catch(function (error) {
  console.log(error);
});

```

{% endtab %}

{% tab title="PHP-HTTP" %}

```
<?php
require_once 'HTTP/Request2.php';
$request = new HTTP_Request2();
$request->setUrl('https://testt.gomnp.com/api/apis/email-cleaning/verify-single?email=usr@domain.com');
$request->setMethod(HTTP_Request2::METHOD_GET);
$request->setConfig(array(
  'follow_redirects' => TRUE
));
$request->setHeader(array(
  'token' => '7yq7x1hlydj8hyxccfjo130msey6g6d5411m==/tw084683074'
));
try {
  $response = $request->send();
  if ($response->getStatus() == 200) {
    echo $response->getBody();
  }
  else {
    echo 'Unexpected HTTP status: ' . $response->getStatus() . ' ' .
    $response->getReasonPhrase();
  }
}
catch(HTTP_Request2_Exception $e) {
  echo 'Error: ' . $e->getMessage();
}
```

{% endtab %}

{% tab title="JQuery" %}

```
var settings = {
  "url": "https://api.saino.io/api/apis/email-cleaning/verify-single?email=user@doamin.com",
  "method": "GET",
  "timeout": 0,
  "headers": {
    "token": "7yq7x1hlydj8hyxccfjo13rdmc61al5411m==/twi9584683074"
  },
};

$.ajax(settings).done(function (response) {
  console.log(response);
});
```

{% endtab %}

{% tab title="Python" %}

```
import requests

url = "https://api.saino.io/api/apis/email-cleaning/verify-single?email=sahil@sainofirst.com"

payload={}
headers = {
  'token': '7yq7x1hlydj8hyxccfjo130m6e8v121609584683074',
}

response = requests.request("GET", url, headers=headers, data=payload)

print(response.text)

```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://apidocs.saino.io/email-cleaner/single-email.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
